Subject: [Ltru] Re: [psg.com #1026] what to do about Guernsey and Jersey

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Jun 2005 10:46:40 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

>> 830 actually is a macrogeographical region, though it's a
>> *small* macrogeographical region.
>
> It's not listed in the part with the macro-regions on their
> page, it's still where it always was.

This is true.  I don't fully agree that 830 is intended as a macro code,
regardless of where UNSD put it.  I suspect they would not have added it
in the first place if they had already had 831 and 832.

> Let's just stick to the plan, whatever is true at "date B",
> in Doug's "48 hours", gets a number.  If they moved 830 to
> "obsolete" don't list it, if they moved it to "macro-region"
> keep it, and if their Web site is still unclear toss a coin.

Frank and Mark are right.  We don't want to open ourselves up to charges
of "cherry-picking" the codes we want to use and ignoring the rest.
Ultimately we are driven by the rules.

The presence of both 830 *and* 831 and 832, none of which was
permissible under RFC 3066, is not likely to cause any great difficulty
in the real world.

But it SHOULD be noted that if we do allow 831 and 832 (and 833), and if
Addison is correct, we CANNOT subsequently register GG and JE (and IM)
if those codes are added to ISO 3166/MA, and make them the
Preferred-Values for the numeric codes.  I think there is a common
assumption that we (or ietf-languages) would do that.  UN codes are used
when there is no ISO code, but they cannot be superseded by ISO codes
that are added later.

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 11 Jun 2005 20:16:25 +0200

Doug Ewell wrote:

> permissible under RFC 3066, is not likely to cause any great
> difficulty in the real world.

If they deprecate 830 too late we also deprecate it => ready.

> But it SHOULD be noted that if we do allow 831 and 832 (and
> 833), and if Addison is correct, we CANNOT subsequently
> register GG and JE (and IM) if those codes are added to ISO
> 3166/MA, and make them the Preferred-Values for the numeric
> codes.  I think there is a common assumption that we (or
> ietf-languages) would do that.

Not my assumption.  I got the idea that 3066bis is a one-way
street to UN numbers in slow motion.  You (all here) didn't
like my plan to do this fast (at date-B) and for all regions.

As long as GG, IM, and JE still _can_ be listed a.s.a.p. it's
no real problem if their Preferred-Value sticks to 831...833.

> they cannot be superseded by ISO codes that are added later.

Is there a "normal" procedure that the UN numbers are "always"
changed first, and that 3166-1 follows suite later ?  We could
add some text to the draft allowing for this delay, avoiding
premature registrations of unnecessary / redudant UN numbers.

                           Bye, Frank

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 11 Jun 2005 11:24:41 -0700

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Saturday, June 11, 2005 10:46 AM
> Subject: [Ltru] Re: [psg.com #1026] what to do about Guernsey and Jersey
>
...

Ok, it sounds like we have a rough consensus to take no special action
for Guernsey and Jersey, so I'll mark this item "rejected".

Randy, ltru co-chair

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 11 Jun 2005 11:31:53 -0700

Hi -

> From: "Frank Ellermann" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, June 11, 2005 11:16 AM
...
...

We're behind schedule, and need to wrap up this work.
If you think registration of UN numbers in advance of letter codes
is a real and important problem, PLEASE supply the text you want
to add or change in the i-d.

Randy, ltru co-chair

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 11 Jun 2005 21:38:06 +0200

Randy Presuhn wrote:

> If you think registration of UN numbers in advance of letter
> codes is a real and important problem, PLEASE supply the text
> you want to add or change in the i-d.

As I said _I_ don't consider it as a very important problem,
assuming that it's really the normal procedure.  But I recall
that _others_ here like Ira might hate all unneccesary aliases.

Hm, now that you ask me about some text I found a minor nit:

| Values in the fields 'Type', 'Subtag', 'Tag', 'Added',
| 'Deprecated' and 'Preferred-Value' MUST NOT be changed and
| are guaranteed to be stable over time.

In the hypothetical case TP -> TL, and TL changing its name
again, we get TP -> TL and TL -> XX.  Is that really necessary,
why not just update TP -> XX in this case ?  A very minor nit.

| Codes assigned by ISO 639, ISO 15924, and ISO 3166 that do
| not conflict with existing subtags of the associated type and
| whose meaning is not the same as an existing subtag of the
| same type are entered into the IANA registry as new records
| and their value is canonical for the meaning assigned to
| them.

That's apparently an error, let's say "ISO 3166, and UN M.49"
instead of (only) "and ISO 3166".

And where's the rule about a new code that does _not_ conflict
with an existing code, but whose meaning _is_ the same as an
existing subtag ?  The TL -> XX in my example ?  We should
simply delete this part resulting in:

  Codes assigned by ISO 639, ISO 15924, ISO 3166, and UN M.49
  that do not conflict with existing subtags of the associated
  type are entered into the IANA registry as new records and
  their value is canonical for the meaning assigned to them.

Adding a statement about the "same meaning" case:

  If existing codes have the same meaning a Preferred-Value is
  added or updated to show the new code.  UN M.49 codes are
  only added if no ISO 3166 code with the same meaning exists.

In this form GG, IM, and JE would replace 831..833.  This isn't
what we think how it should work, something with my proposal is
still wrong.  But something in draft -04 is also still wrong.

                            Bye, Frank

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 11 Jun 2005 14:08:18 -0700

Hi -

I've re-opened #1026, but please, let's work towards wrapping
this up.

Randy

> Sent: Saturday, June 11, 2005 12:38 PM

---

From: "John.Cowan" <[email-masked]>
Date: Sat, 11 Jun 2005 18:51:00 -0400

> when there is no ISO code, but they cannot be superseded by ISO codes

Which means that since 3166/MA MUST NOT add anything new unless UNSD
does first, and 3166/MA only acts if a national body asks it to,
we/ietf-languages SHOULD refrain from adding any M.49 code until it's
clear that 3166/MA isn't going to act.

Hence ltru, which has a limited lifespan, SHOULD NOT add 831 or 832 or
833, and leave action up to ietf-languages.

-- 
There is no real going back.  Though I          John Cowan
may come to the Shire, it will not seem         [email-masked]
the same; for I shall not be the same.          http://www.reutershealth.com
I am wounded with knife, sting, and tooth,      http://www.ccil.org/~cowan
and a long burden.  Where shall I find rest?           --Frodo

---

From: "John.Cowan" <[email-masked]>
Date: Sat, 11 Jun 2005 19:30:35 -0400

> to add or change in the i-d.

Since no specific schedule is given for registering UN M.49 codes is
present in the draft, I believe that no textual changes are needed.

However, I believe that date B should be set *before* the entry of
831/832 into the registry.

-- 
John Cowan  www.ccil.org/~cowan  www.reutershealth.com  [email-masked]
In might the Feanorians / that swore the unforgotten oath
brought war into Arvernien / with burning and with broken troth.
and Elwing from her fastness dim / then cast her in the waters wide,
but like a mew was swiftly borne, / uplifted o'er the roaring tide.
        --the Earendillinwe